## r-cran-colorspace 1.2

=== DESCRIPTION ===
Package: colorspace
Version: 1.2-4
Date: 2013-09-30
Title: Color Space Manipulation
Authors@R: c(person(given = "Ross", family = "Ihaka", role = "aut", email = "ihaka@stat.auckland.ac.nz"),
             person(given = "Paul", family = "Murrell", role = "aut", email = "paul@stat.auckland.ac.nz"),
             person(given = "Kurt", family = "Hornik", role = "aut", email = "Kurt.Hornik@R-project.org"),
             person(given = c("Jason", "C."), family = "Fisher", role = "aut", email = "jfisher@usgs.gov"),
             person(given = "Achim", family = "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org"))
Description: Carries out mapping between assorted color spaces including
             RGB, HSV, HLS, CIEXYZ, CIELUV, HCL (polar CIELUV),
	     CIELAB and polar CIELAB. Qualitative, sequential, and
	     diverging color palettes based on HCL colors are provided.
Depends: R (>= 2.13.0), methods
Suggests: KernSmooth, MASS, kernlab, mvtnorm, vcd, tcltk, dichromat
License: BSD_3_clause + file LICENSE
LazyData: yes
Packaged: 2013-09-30 05:25:23 UTC; zeileis
Author: Ross Ihaka [aut],
  Paul Murrell [aut],
  Kurt Hornik [aut],
  Jason C. Fisher [aut],
  Achim Zeileis [aut, cre]
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-09-30 07:37:29

## r-cran-colorspace 1.2-4

=== debian/changelog ===
r-cran-colorspace (1.2-4-1) unstable; urgency=medium

  * New upstream version
  * debian/source/format: 3.0 (quilt)
  * cme fix dpkg-control
  * add citation
  * delete README.Debian, add README.test
  * do not install extra license file
  * delete unused get-orig-source target

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jun 2014 15:22:45 +0200

r-cran-colorspace (1.2-2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Removed obsolete DM-Upload-Allowed field.
  * Use Debhelper 9.
  * Normalised VCS fields (Lintian standard).
  * Use full text of BSD license in debian/copyright.
  * Section: gnu-r (debian/copyright).

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Apr 2013 09:21:48 +0900

r-cran-colorspace (1.2-1-1) unstable; urgency=low

  * Team upload.
  * New upstream version.
  [ Added by Steffen Moeller ]
  * Depends on R version 3.
  * Standards-Version: 3.9.4 (no changes needed)
  * No longer substituting hyphen (-) of R version with point (.)

 -- Charles Plessy <plessy@debian.org>  Tue, 02 Apr 2013 07:33:16 +0900

r-cran-colorspace (1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.8.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2009 09:08:39 +0200

r-cran-colorspace (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #512404).

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2009 20:43:13 +0100

=== debian/control ===
Source: r-cran-colorspace
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0.0~20130330)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-science/packages/R/r-cran-colorspace/trunk/ 
Vcs-Svn: svn://anonscm.debian.org/debian-science/packages/R/r-cran-colorspace/trunk/ 
Homepage: http://cran.r-project.org/web/packages/colorspace

Package: r-cran-colorspace
Architecture: any
Depends: ${shlibs:Depends},
         r-base-core (>= 3.0.0~20130330)
Description: GNU R Color Space Manipulation
 Carries out mapping between assorted color spaces including RGB, HSV, HLS,
 CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB and polar CIELAB. Qualitative,
 sequential, and diverging color palettes based on HCL colors are provided.

=== debian/watch ===
version=3
# Same effect as dversionmangle, but we have to rename the orig.tar.gz
# anyway and it is easier to write a get-origsource script this way
# opts="uversionmangle=s/([\d.]+)-(\d)/$1.$2/"
opts="dversionmangle=s/([\d.]+)\.(\d)/$1-$2/" \
http://cran.r-project.org/src/contrib/colorspace_([-\d.]*)\.tar\.gz

## r-cran-colorspace 1.3

=== DESCRIPTION ===
Package: colorspace
Version: 1.3-2
Date: 2016-12-14
Title: Color Space Manipulation
Authors@R: c(person(given = "Ross", family = "Ihaka", role = "aut", email = "ihaka@stat.auckland.ac.nz"),
             person(given = "Paul", family = "Murrell", role = "aut", email = "paul@stat.auckland.ac.nz"),
             person(given = "Kurt", family = "Hornik", role = "aut", email = "Kurt.Hornik@R-project.org"),
             person(given = c("Jason", "C."), family = "Fisher", role = "aut", email = "jfisher@usgs.gov"),
             person(given = "Reto", family = "Stauffer", role = "aut", email = "Reto.Stauffer@uibk.ac.at"),
             person(given = "Achim", family = "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org"))
Description: Carries out mapping between assorted color spaces including
             RGB, HSV, HLS, CIEXYZ, CIELUV, HCL (polar CIELUV),
	     CIELAB and polar CIELAB. Qualitative, sequential, and
	     diverging color palettes based on HCL colors are provided
	     along with an interactive palette picker (with either a Tcl/Tk
	     or a shiny GUI).
Depends: R (>= 2.13.0), methods
Imports: graphics, grDevices
Suggests: datasets, stats, utils, KernSmooth, MASS, kernlab, mvtnorm,
        vcd, dichromat, tcltk, shiny, shinyjs
License: BSD_3_clause + file LICENSE
URL: https://hclwizard.org/
LazyData: yes
NeedsCompilation: yes
Packaged: 2016-12-14 22:11:46 UTC; zeileis
Author: Ross Ihaka [aut],
  Paul Murrell [aut],
  Kurt Hornik [aut],
  Jason C. Fisher [aut],
  Reto Stauffer [aut],
  Achim Zeileis [aut, cre]
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2016-12-14 23:28:25

## r-cran-colorspace 1.3-2

=== debian/changelog ===
r-cran-colorspace (1.3-2-2) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Use secure URL in debian/watch.
  * Bump Standards-Version to 4.1.1.
  * Remove useless debian/README.test.
  * Add Testsuite: autopkgtest-pkg-r.
  * Add README.source documenting data/USSouthPolygon.rda.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Nov 2017 13:01:41 +0100

r-cran-colorspace (1.3-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 16 Dec 2016 23:43:36 +0100

r-cran-colorspace (1.3-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch:
    - version=4
    - drop unneeded dversionmangle

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 09:16:05 +0100

r-cran-colorspace (1.2-7-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 06 Nov 2016 09:29:40 +0100

=== debian/control ===
Source: r-cran-colorspace
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev (>= 3.0.0~20130330)
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-colorspace.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-colorspace.git
Homepage: https://cran.r-project.org/package=colorspace
Testsuite: autopkgtest-pkg-r

Package: r-cran-colorspace
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Color Space Manipulation
 Carries out mapping between assorted color spaces including RGB, HSV, HLS,
 CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB and polar CIELAB. Qualitative,
 sequential, and diverging color palettes based on HCL colors are provided.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/colorspace_([-\d.]*)\.tar\.gz

## r-cran-colorspace 1.4-0+dfsg

=== debian/changelog ===
r-cran-colorspace (1.4-0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jan 2019 10:59:31 +0100

r-cran-colorspace (1.3-2-3) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 06:28:29 +0200

=== debian/control ===
Source: r-cran-colorspace
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
Homepage: https://cran.r-project.org/package=colorspace

Package: r-cran-colorspace
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Color Space Manipulation
 Carries out mapping between assorted color spaces including RGB, HSV, HLS,
 CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB and polar CIELAB. Qualitative,
 sequential, and diverging color palettes based on HCL colors are provided.

## r-cran-colorspace 1.4-1+dfsg

=== debian/changelog ===
r-cran-colorspace (1.4-1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Jul 2019 21:21:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
 Homepage: https://cran.r-project.org/package=colorspace

## r-cran-colorspace 2.0

=== DESCRIPTION ===
Package: colorspace
Version: 2.0-2
Date: 2021-06-24
Title: A Toolbox for Manipulating and Assessing Colors and Palettes
Authors@R: c(person(given = "Ross", family = "Ihaka", role = "aut", email = "ihaka@stat.auckland.ac.nz"),
             person(given = "Paul", family = "Murrell", role = "aut", email = "paul@stat.auckland.ac.nz",
                    comment = c(ORCID = "0000-0002-3224-8858")),
             person(given = "Kurt", family = "Hornik", role = "aut", email = "Kurt.Hornik@R-project.org",
		    comment = c(ORCID = "0000-0003-4198-9911")),
             person(given = c("Jason", "C."), family = "Fisher", role = "aut", email = "jfisher@usgs.gov",
                    comment = c(ORCID = "0000-0001-9032-8912")),
             person(given = "Reto", family = "Stauffer", role = "aut", email = "Reto.Stauffer@uibk.ac.at",
                    comment = c(ORCID = "0000-0002-3798-5507")),
             person(given = c("Claus", "O."), family = "Wilke", role = "aut", email = "wilke@austin.utexas.edu",
                    comment = c(ORCID = "0000-0002-7470-9261")),
             person(given = c("Claire", "D."), family = "McWhite", role = "aut", email = "claire.mcwhite@utmail.utexas.edu",
                    comment = c(ORCID = "0000-0001-7346-3047")),
             person(given = "Achim", family = "Zeileis", role = c("aut", "cre"), email = "Achim.Zeileis@R-project.org",
                    comment = c(ORCID = "0000-0003-0918-3766")))
Description: Carries out mapping between assorted color spaces including RGB, HSV, HLS,
             CIEXYZ, CIELUV, HCL (polar CIELUV), CIELAB, and polar CIELAB.
	     Qualitative, sequential, and diverging color palettes based on HCL colors
	     are provided along with corresponding ggplot2 color scales.
	     Color palette choice is aided by an interactive app (with either a Tcl/Tk
	     or a shiny graphical user interface) and shiny apps with an HCL color picker and a
	     color vision deficiency emulator. Plotting functions for displaying
	     and assessing palettes include color swatches, visualizations of the
	     HCL space, and trajectories in HCL and/or RGB spectrum. Color manipulation
	     functions include: desaturation, lightening/darkening, mixing, and
	     simulation of color vision deficiencies (deutanomaly, protanomaly, tritanomaly).
	     Details can be found on the project web page at <https://colorspace.R-Forge.R-project.org/>
	     and in the accompanying scientific paper: Zeileis et al. (2020, Journal of Statistical
	     Software, <doi:10.18637/jss.v096.i01>).
Depends: R (>= 3.0.0), methods
Imports: graphics, grDevices, stats
Suggests: datasets, utils, KernSmooth, MASS, kernlab, mvtnorm, vcd,
        tcltk, shiny, shinyjs, ggplot2, dplyr, scales, grid, png, jpeg,
        knitr, rmarkdown, RColorBrewer, rcartocolor, scico, viridis,
        wesanderson
VignetteBuilder: knitr
License: BSD_3_clause + file LICENSE
URL: https://colorspace.R-Forge.R-project.org/, https://hclwizard.org/
BugReports: https://colorspace.R-Forge.R-project.org/contact.html
LazyData: yes
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-06-24 01:25:06 UTC; zeileis
Author: Ross Ihaka [aut],
  Paul Murrell [aut] (<https://orcid.org/0000-0002-3224-8858>),
  Kurt Hornik [aut] (<https://orcid.org/0000-0003-4198-9911>),
  Jason C. Fisher [aut] (<https://orcid.org/0000-0001-9032-8912>),
  Reto Stauffer [aut] (<https://orcid.org/0000-0002-3798-5507>),
  Claus O. Wilke [aut] (<https://orcid.org/0000-0002-7470-9261>),
  Claire D. McWhite [aut] (<https://orcid.org/0000-0001-7346-3047>),
  Achim Zeileis [aut, cre] (<https://orcid.org/0000-0003-0918-3766>)
Maintainer: Achim Zeileis <Achim.Zeileis@R-project.org>
Repository: CRAN
Date/Publication: 2021-06-24 07:00:06 UTC

## r-cran-colorspace 2.0-0+dfsg

=== debian/changelog ===
r-cran-colorspace (2.0-0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 13 Nov 2020 23:49:56 +0530

r-cran-colorspace (1.4-1+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Wed, 02 Sep 2020 15:34:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
 Homepage: https://cran.r-project.org/package=colorspace
+Rules-Requires-Root: no
 
 Package: r-cran-colorspace
 Architecture: any

## r-cran-colorspace 2.0-2+dfsg

=== debian/changelog ===
r-cran-colorspace (2.0-2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:51:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
 Homepage: https://cran.r-project.org/package=colorspace

## r-cran-colorspace 2.0-3+dfsg

=== debian/changelog ===
r-cran-colorspace (2.0-3+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 20:08:54 +0100

## r-cran-colorspace 2.1-0%2Bdfsg

=== debian/changelog ===
r-cran-colorspace (2.1-0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:00:41 +0100

## r-cran-colorspace 2.1-0+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-colorspace
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
+Homepage: https://cran.r-project.org/package=colorspace
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
-Homepage: https://cran.r-project.org/package=colorspace
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-colorspace
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/colorspace_([-\d.]*)\.tar\.gz

## r-cran-colorspace 2.1-1+dfsg

=== debian/changelog ===
r-cran-colorspace (2.1-1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 25 Sep 2024 09:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
 Homepage: https://cran.r-project.org/package=colorspace
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-kernsmooth,
        r-cran-mass,
        r-cran-kernlab,
        r-cran-mvtnorm,
        r-cran-vcd,
        r-cran-shiny,
        r-cran-shinyjs,
        r-cran-ggplot2,
        r-cran-dplyr,
        r-cran-scales,
        r-cran-png,
        r-cran-jpeg,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-rcolorbrewer,
        r-cran-viridis
Restrictions: allow-stderr

## r-cran-colorspace 2.1-2+dfsg

=== debian/changelog ===
r-cran-colorspace (2.1-2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Dec 2025 12:57:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-colorspace
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colorspace
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colorspace.git
 Homepage: https://cran.r-project.org/package=colorspace
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-colorspace
 Architecture: any
